Skip to main content
POST
Upload Client Contract

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

client_id
string
required

Body

multipart/form-data
file
string
required

Response

Successful Response

Schema for client response - uses camelCase per API_STANDARDS

id
string
required
name
string
required
country
string
required
maxAccountValue
number
required
currency
string
required
priceCategory
enum<string> | null
Available options:
high,
medium,
low
paymentTerms
string | null
contacts
ContactInfoInput · object[] | null
bankDetails
BankAccountDetailsInput · object | null

Bank account and recipient details stored as JSON.

contractFile
ClientContractFileDetails · object | null

Uploaded client contract metadata stored as JSON.

ordersCount
integer | null